
import java.io.*;
import java.rmi.*;
import java.rmi.registry.*;
import java.rmi.server.*;
import java.util.*;

public class SrvClient implements Cli {

    // our client (server will call this method).
    public void msg(String s){
        System.out.println("called: "+s);
    }

    public static void main(String[] args) throws Throwable {
        Registry r = LocateRegistry.getRegistry();
        Srv t = (Srv)r.lookup("Srv");
        
        Cli c = new SrvClient();

        // create a wrapper we can store in registry.
        Cli stub = (Cli)UnicastRemoteObject.exportObject(c,0);

        t.addClient(c);

        Thread.sleep(5000);
        

    }
}
